// registryinterface.h : header file
//

#pragma once
#include "afxcmn.h"
#include "afxwin.h"

class CRegistryInterface
{
protected:

public:
	BOOL WriteRegistryInfoString(const char *pszName, LPCSTR lpszTxt);
	BOOL WriteRegistryInfoDword(const char *pszName, DWORD value);
	BOOL WriteRegistryInfoBinary(const char *pszName, void *pvBuf, long lSize);

	BOOL ReadRegistryInfoString(const char *pszName, char *lpszTxt, long lSize);
	BOOL ReadRegistryInfoDword(const char *pszName, void *pvBuf);
	BOOL ReadRegistryInfoBinary(const char *pszName, void *pvBuf, long *plSize);
};
